--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -408,9 +408,9 @@
 ENDIF()
 
 IF((_wx_selected_config MATCHES "qt-armv7"))
-  SET(wxWidgets_USE_LIBS base core xml html adv aui)
+  SET(wxWidgets_FIND_COMPONENTS base core xml html adv aui)
 ELSE()
-  SET(wxWidgets_USE_LIBS net xml html adv aui core base webview)
+  SET(wxWidgets_FIND_COMPONENTS net xml html adv aui core base webview)
 ENDIF()
 
 OPTION (USE_GL "Enable OpenGL support" ON)
@@ -436,7 +436,7 @@
     SET(OPENGLES_FOUND "YES")
     SET(OPENGL_FOUND "YES")
 
-    SET(wxWidgets_USE_LIBS ${wxWidgets_USE_LIBS} gl )
+    SET(wxWidgets_FIND_COMPONENTS ${wxWidgets_FIND_COMPONENTS} gl )
     add_subdirectory(src/glshim)
 
     SET(OPENGL_LIBRARIES "GL_static" "EGL" "X11" "drm"  )
@@ -455,7 +455,7 @@
   SET(OPENGLES_FOUND "YES")
   SET(OPENGL_FOUND "YES")
 
-  SET(wxWidgets_USE_LIBS ${wxWidgets_USE_LIBS} gl )
+  SET(wxWidgets_FIND_COMPONENTS ${wxWidgets_FIND_COMPONENTS} gl )
   add_subdirectory(src/glshim)
 ENDIF(QT_ANDROID)
 
@@ -468,7 +468,7 @@
   ENDIF(USE_GL)
 
   IF(OPENGL_FOUND)
-    SET(wxWidgets_USE_LIBS gl ${wxWidgets_USE_LIBS} )
+    SET(wxWidgets_FIND_COMPONENTS gl ${wxWidgets_FIND_COMPONENTS} )
     INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
 
     MESSAGE (STATUS "Found OpenGL...." )
@@ -529,14 +529,14 @@
   ENDIF(MSVC)
 
   IF(WIN32 OR APPLE OR QT_ANDROID)
-    FIND_PACKAGE(wxWidgets)
+    FIND_PACKAGE(wxWidgets COMPONENTS ${wxWidgets_FIND_COMPONENTS})
     if (wxWidgets_FOUND)
       message(STATUS "Found wxWidgets webview add-on")
       add_definitions(-DOCPN_USE_WEBVIEW)
     else ()
-      list(REMOVE_ITEM wxWidgets_USE_LIBS webview)
+      list(REMOVE_ITEM wxWidgets_FIND_COMPONENTS webview)
       message(STATUS "Could not find wxWidgets webview add-on")
-      FIND_PACKAGE(wxWidgets REQUIRED)
+      FIND_PACKAGE(wxWidgets REQUIRED COMPONENTS ${wxWidgets_FIND_COMPONENTS})
     endif ()
     IF(MSYS)
       # this is to convert msys to windows paths, and handle the missing /usr
@@ -725,7 +725,7 @@
   INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src/serial/include)
 
   ## Add serial library
-  add_library(SERIAL ${serial_SRCS})
+  add_library(SERIAL STATIC ${serial_SRCS})
   if(APPLE)
     target_link_libraries(SERIAL ${FOUNDATION_LIBRARY} ${IOKIT_LIBRARY})
   elseif(UNIX)
@@ -1053,14 +1053,14 @@
     set(wxWidgets_CONFIG_OPTIONS ${wxWidgets_CONFIG_OPTIONS} --toolkit=gtk3)
     MESSAGE(STATUS "Building against GTK3...")
   ENDIF(GTK2_FOUND)
-  FIND_PACKAGE(wxWidgets)
+  FIND_PACKAGE(wxWidgets COMPONENTS ${wxWidgets_FIND_COMPONENTS})
   if (wxWidgets_FOUND)
     message(STATUS "Found wxWidgets webview add-on")
     add_definitions(-DOCPN_USE_WEBVIEW)
   else ()
-    list(REMOVE_ITEM wxWidgets_USE_LIBS webview)
+    list(REMOVE_ITEM wxWidgets_FIND_COMPONENTS webview)
     message(STATUS "Could not find wxWidgets webview add-on")
-    FIND_PACKAGE(wxWidgets REQUIRED)
+    FIND_PACKAGE(wxWidgets REQUIRED COMPONENTS ${wxWidgets_FIND_COMPONENTS})
   endif ()
   MESSAGE (STATUS "Found wxWidgets..." )
   MESSAGE (STATUS " wxWidgets Include: ${wxWidgets_INCLUDE_DIRS}")
